{ pkgs, lib, python3Packages, python3, gtk3, gobject-introspection, git, wrapGAppsHook, gnome }:

python3Packages.buildPythonApplication rec {
  pname = "vfio-isolate";
  version = "0.3.1";

  buildInputs = with python3.pkgs; [ parsimonious psutil click ];
  propagatedBuildInputs = with python3.pkgs; [ parsimonious psutil click ];

  patches = [ ./remove-versions.patch ];
  
  src = builtins.fetchGit {
    url = "https://github.com/spheenik/vfio-isolate.git";
    ref = "master";
  };

  doCheck = false;

  # Required as we otherwise don't get the dbus policy installed
  # correctly
 #preInstall = ''
 #  # see https://github.com/pypa/setuptools/issues/130
 #  ${python3}/bin/${python3.executable} setup.py install_data --install-dir=$out --root=$out
 #'';
  
  meta = with lib; {
    homepage = "https://github.com/spheenik/vfio-isolate";
    description = "CPU and memory isolation for VFIO ";
    license = licenses.mit;
    maintainers = [ ];
    platforms = lib.platforms.linux;
  };
}
